package com.xhkjedu.sstudy.mapper.question;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.question.TQuestionExplain;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QuestionExplainMapper extends TkMapper<TQuestionExplain> {
    //试题讲解列表
    List<TQuestionExplain> listByQuestionId(String questionid, Integer qctype);

    //更新播放次数
    void updateReadCount(@Param("qcpid") Integer qcpid);

    //获取播放次数
    Integer getReadCount(@Param("qcpid") Integer qcpid);

    //修改讲解mp4code
    void updateMp4code(@Param("explain") TQuestionExplain explain);

    void updateDurationAndSize(@Param("explain") TQuestionExplain explain);

    List<TQuestionExplain> listAll();

    //试题讲解列表
    List<TQuestionExplain> listByQuestionIds(@Param("questions") List questions);
}
